Interface CustomerRequestTypeQuery.Builder
- Enclosing interface:
- CustomerRequestTypeQuery
public static interface CustomerRequestTypeQuery.Builder
Builder to construct the
CustomerRequestTypeQuery.
A LimitedPagedRequest is always constructed in the query parameter, and used the default value if none is provided
-
Method Summary
Modifier and TypeMethodDescriptionbuild()Build the queryrequestOverrideSecurity(Boolean requestOverrideSecurity) Use thisrequestOverrideSecurityflag to execute query without checking permission of the user executing this requestrequestType(RequestType requestType) Use thisRequestType's to retrieve a specificCustomerRequestType
-
Method Details
-
requestType
-
requestOverrideSecurity
Use thisrequestOverrideSecurityflag to execute query without checking permission of the user executing this requestThis should only be used when performing administrative tasks where you need access regardless of permissions or without a user.
-
build
CustomerRequestTypeQuery build()Build the query
-